Mailinglist Archive: opensuse-factory (607 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200222 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Tue, 25 Feb 2020 13:00:35 +0000
  • Message-id: <158263563530.20650.16072027540757363403@go-agent-stagingbot-4>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200222

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
ImageMagick (7.0.9.21 -> 7.0.9.23)
Mesa (19.3.3 -> 19.3.4)
Mesa-drivers (19.3.3 -> 19.3.4)
NetworkManager (1.22.6 -> 1.22.8)
alsa
alsa-ucm-conf
alsa-utils
at
bash
bluedevil5 (5.17.90 -> 5.18.1)
breeze (5.18.0 -> 5.18.1)
breeze-gtk (5.18.0 -> 5.18.1)
createrepo_c (0.15.6 -> 0.15.7)
curl
discover (5.18.0 -> 5.18.1)
drkonqi5 (5.18.0 -> 5.18.1)
file-roller (3.32.3 -> 3.32.4)
flatpak
gdb
gjs (1.58.4 -> 1.58.5)
glib2 (2.62.4 -> 2.62.5)
gmime (3.2.5 -> 3.2.6)
gnome-desktop (3.34.3 -> 3.34.4)
gnome-disk-utility (3.34.0 -> 3.34.4)
gnome-music (3.34.3 -> 3.34.4)
gnome-shell (3.34.3+0 -> 3.34.4)
gom (0.3.3 -> 0.4)
gpg2
grilo (0.3.11 -> 0.3.12)
grilo-plugins (0.3.10 -> 0.3.11)
grub2
gtk3 (3.24.13+0 -> 3.24.14)
ibus-m17n (1.3.4 -> 1.4.2)
kactivitymanagerd (5.18.0 -> 5.18.1)
kcm5-fcitx
kcm_sddm (5.18.0 -> 5.18.1)
kde-cli-tools5 (5.18.0 -> 5.18.1)
kde-gtk-config5 (5.18.0 -> 5.18.1)
kde-user-manager (5.18.0 -> 5.18.1)
kgamma5 (5.18.0 -> 5.18.1)
khotkeys5 (5.18.0 -> 5.18.1)
kinfocenter5 (5.18.0 -> 5.18.1)
kmenuedit5 (5.18.0 -> 5.18.1)
kscreen5 (5.18.0 -> 5.18.1)
kscreenlocker (5.18.0 -> 5.18.1)
ksshaskpass5 (5.18.0 -> 5.18.1)
ksysguard5 (5.18.0 -> 5.18.1)
kwayland-integration (5.18.0 -> 5.18.1)
kwin5 (5.18.0 -> 5.18.1)
kwrited5 (5.18.0 -> 5.18.1)
libcap (2.25 -> 2.32)
libgsasl (1.8.0 -> 1.8.1)
libiscsi (1.19.0 -> 1.19.0+git.20200212)
libkdecoration2 (5.18.0 -> 5.18.1)
libkscreen2 (5.18.0 -> 5.18.1)
libksysguard5 (5.18.0 -> 5.18.1)
libreoffice (6.4.0.3 -> 6.4.1.1)
libssh
milou5 (5.18.0 -> 5.18.1)
mutter (3.34.3+0 -> 3.34.4)
ncurses (6.1 -> 6.2)
oxygen5 (5.18.0 -> 5.18.1)
perl-IO-Socket-SSL (2.066 -> 2.067)
perl-Net-DNS-Resolver-Mock (1.20171219 -> 1.20200215)
perl-Text-CSV_XS (1.40 -> 1.41)
permissions (1550_20200204 -> 1550_20200213)
php7 (7.4.2 -> 7.4.3)
plasma-browser-integration (5.18.0 -> 5.18.1)
plasma-nm5 (5.18.0 -> 5.18.1)
plasma5-addons (5.18.0 -> 5.18.1)
plasma5-desktop (5.18.0 -> 5.18.1)
plasma5-integration (5.18.0 -> 5.18.1)
plasma5-openSUSE
plasma5-pa (5.18.0 -> 5.18.1)
plasma5-workspace (5.18.0 -> 5.18.1)
polari
polkit-kde-agent-5 (5.18.0 -> 5.18.1)
popt
powerdevil5 (5.18.0 -> 5.18.1)
pulseaudio
python-Automat (0.8.0 -> 20.2.0)
python-Mako (1.1.0 -> 1.1.1)
python-pyOpenSSL (19.0.0 -> 19.1.0)
python3-qt5
rdma-core
re2
readline
remmina (1.3.10 -> 1.4.0)
rubygem-nokogiri (1.10.7 -> 1.10.8)
schily
systemsettings5 (5.18.0 -> 5.18.1)
tcsh
texlive
tracker (2.3.1 -> 2.3.2)
tracker-miners (2.3.1 -> 2.3.2)
webkit2gtk3 (2.26.3 -> 2.26.4)
xdg-desktop-portal-kde (5.18.0 -> 5.18.1)

=== Details ===

==== ImageMagick ====
Version update (7.0.9.21 -> 7.0.9.23)
Subpackages: ImageMagick-config-7-SUSE ImageMagick-extra libMagick++-7_Q16HDRI4
libMagickCore-7_Q16HDRI7 libMagickWand-7_Q16HDRI7 perl-PerlMagick

- version update to 7.0.9.23
* Report gray(127.5) as gray(50%).
* Support -define connected-components:perimeter-threshold=min-max
- version update to 7.0.9.22
* More work on connect components, e.g. keep-colors, remove-colors,
keep-topids.
* Initialize mutex before locking if its not already initialized.
* Support 24-bit TIFF images.

==== Mesa ====
Version update (19.3.3 -> 19.3.4)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- use 7G disk constraints also for x86_64 and i586 (bsc#1164488)
- only use 'BuildRequires:llvm-devel >= 9.0.0' for TW/factory; for
older products still use 'BuildRequires: llvm9-devel'; fixed
build on openSUSE Leap 15.2
- Update to version 19.3.4
* changes all over the tree, but aco and anv are leading the
way in changes
- supersedes
u_Revert_gallium_Fix_big-endian_addressing_of_non-bitmask_array_formats.patch

==== Mesa-drivers ====
Version update (19.3.3 -> 19.3.4)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- use 7G disk constraints also for x86_64 and i586 (bsc#1164488)
- only use 'BuildRequires:llvm-devel >= 9.0.0' for TW/factory; for
older products still use 'BuildRequires: llvm9-devel'; fixed
build on openSUSE Leap 15.2
- Update to version 19.3.4
* changes all over the tree, but aco and anv are leading the
way in changes
- supersedes
u_Revert_gallium_Fix_big-endian_addressing_of_non-bitmask_array_formats.patch

==== NetworkManager ====
Version update (1.22.6 -> 1.22.8)
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Update to version 1.22.8:
+ Added configuration option to customize IPv6 RA timeout.
+ Internal DHCP client will now request a lease renewal using the
previously obtained IP address when expired.
+ Removed length limitation for OVS Bridge, Patches and
Interfaces (only Patch types) names.
+ Fixed initialization of 'secs' DHCP header field, this caused
some DHCP relays to drop packets.
+ Fixed failure when creating team interfaces using 'nmstate'.
+ Various bug fixes and improvements.

==== alsa ====
Subpackages: libasound2 libasound2-32bit

- Backport upstream fixes:
ucm-parser fixes and enhancements, configure script cleanup,
fixes of 5.6 kernel ABI, O_CLOEXEC flag fix:
0064-ucm-parser-cosmetic-fixes-in-the-comments.patch
0065-configure.ac-remove-an-unnecessary-libtool-fix.patch
0066-ucm-parser-use-correct-filename-in-parser_master_fil.patch
0067-ucm-the-ucm2-subdirectory-is-driver-name-based.patch
0068-ucm-implement-RenameDevice-and-RemoveDevice-verb-man.patch
0069-ucm-fill-missing-device-entries-conflicting-supporte.patch
0070-control-Remove-access-to-the-deprecated-dimen-fields.patch
0071-topology-Drop-SNDRV_CTL_ELEM_ACCESS_TIMESTAMP-access.patch
0072-uapi-Sync-with-5.6-kernel-ABI.patch
0073-ucm-parser-add-error-message-to-verb_dev_list_add.patch
0074-do-not-set-close-on-exec-flag-on-descriptor-if-it-wa.patch

==== alsa-ucm-conf ====

- Backport upstream fixes: cleanup and correctsion for ucm2:
0007-broxton-rt298-corrections-cleanups.patch
0008-bytcr-rt5640-cleanups-and-corrections.patch
0009-bytcr-rt5651-cleanups-and-corrections.patch
0010-bytcht-cx2072x-cleanups-and-corrections.patch
0011-bytcht-es8316-cleanups-and-corrections.patch
0012-DAISY-I2S-added-back-PCM-devices.patch
0013-DB410c-cleanups-and-corrections.patch
0014-DB820c-cleanups-and-corrections.patch
0015-Dell-WD15-Dock-cleaups-and-corrections.patch
0016-HDA-Intel-HiFi-dual-fixes-and-corrections.patch
0017-cht-bsw-rt5672-fixes-and-corrections.patch
0018-chtnau8824-fixes-and-corrections.patch
0019-skylake-rt286-fixes-and-corrections.patch
0020-SDP4430-corrections-and-fixes.patch
0021-sof-hda-dsp-fix-typo-PlaybackMixerMaster-PlaybackMas.patch
0022-broadwell-rt286-add-correct-prefix-to-Priority-field.patch
0023-GoogleNyan-comment-CaptureControl-what-is-this.patch
0024-VEYRON-I2S-corrections-and-fixes.patch
0025-SDP4430-corrections-and-fixes.patch
0026-chtrt5645-corrections-and-fixes.patch
0027-GoogleNyan-corrections-and-fixes.patch
0028-PAZ00-corrections-and-fixes.patch
0029-SDP4430-corrections-and-fixes.patch
0030-PandaBoard-corrections-and-fixes.patch
0031-PandaBoardES-corrections-and-fixes.patch
0032-kblrt5660-corrections-and-fixes.patch
0033-bytcr-rt5640-corrections-and-fixes.patch
0034-bytcht-es8316-corrections-and-fixes.patch
0035-sof-hda-dsp-corrections-and-fixes.patch
0036-ucm2-treewide-remove-Playback-and-Capture-channels-2.patch

==== alsa-utils ====

- Backport upstream fixes:
alsatplg fixes, misc cleanups:
0027-alsatplg-rewrite-to-use-the-new-libatopology-functio.patch
0028-alsatplg-add-V-version-option.patch
0029-alsatplg-add-decode-command.patch
0030-alsatplg-add-documentation-for-z-dapm-nosort-h.patch
0031-configure-fix-new-libatopology-check.patch
0032-Use-__func__-instead-of-__FUNCTION__.patch
0033-Avoid-pointer-arithmetic-on-void.patch
0034-Use-lli-for-long-long-in-printf.patch
0035-Avoid-empty-initializer-list.patch
- Fix build on SLE12-* target

==== at ====

- change login shell for at user from /bin/bash to /bin/false as it
shouldn't need a valid login shell
- Remove obsolete Groups tag (fate#326485)

==== bash ====
Subpackages: bash-doc bash-lang

- Add official patch bash50-012
When using previous-history to go back beyond the beginning of the history
list,
it's possible to move to an incorrect partial line.
- Add official patch bash50-013
Reading history entries with timestamps can result in history entries joined
by linefeeds.
- Add official patch bash50-014
If the current line is empty, using the emacs C-xC-e binding to enter the
editor will edit the previous command instead of the current (empty) one.
- Add official patch bash50-015
If alias expansion is enabled when processing the command argument to the
`-c' option, an alias is defined in that command, and the command ends with
the invocation of that alias, the shell's command parser can prematurely
terminate before the entire command is executed.
- Add official patch bash50-016
Bash waits too long to reap /dev/fd process substitutions used as redirections
with loops and group commands, which can lead to file descriptor exhaustion.

==== bluedevil5 ====
Version update (5.17.90 -> 5.18.1)
Subpackages: bluedevil5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0
- Update to 5.18.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.0.php
- No code changes since 5.17.90
- Replace %make_jobs with %cmake_build

==== breeze ====
Version update (5.18.0 -> 5.18.1)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers libbreezecommon5-5

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Add missing cursors for Chromium-based apps

==== breeze-gtk ====
Version update (5.18.0 -> 5.18.1)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* [GTK3] Fix menubar colours

==== createrepo_c ====
Version update (0.15.6 -> 0.15.7)
Subpackages: libcreaterepo_c0 python3-createrepo_c

- Update to 0.15.7
+ Add relogin_suggested to updatecollectionpackage (rh#1779751)
+ Support issued date in epoch format in Python API (rh#1779751)

==== curl ====
Subpackages: libcurl4

- Eliminate curl-mini: The reason for this to exist was that cmake
pulled in curl into too many places, causing build cycles. A new
cmake-mini was generated, eliminating that need.

==== discover ====
Version update (5.18.0 -> 5.18.1)
Subpackages: discover-backend-flatpak discover-backend-fwupd
discover-backend-packagekit discover-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* pk: make sure we get the local package details
* Simplify UI logic
* Fix typo
* pk: list codecs as addons
* Don't offer to show more when there's not more to show (kde#417290)
* remove warning when there's no kuserfeedback
* snap: mark transactions as cancelled when we cancel them
* Don't escape search text in search page title (kde#416781)
* Use real Kirigami Separators instead of blue rectangles

==== drkonqi5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: drkonqi5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== file-roller ====
Version update (3.32.3 -> 3.32.4)
Subpackages: file-roller-lang

- Update to version 3.32.4:
+ Updated translations.

==== flatpak ====
Subpackages: libflatpak0 system-user-flatpak typelib-1_0-Flatpak-1_0

- Drop obsolete _servicedata file.

==== gdb ====

- Fix hang after SIGKILL [swo#25478].
* gdb-threads-fix-hang-in-stop_all_threads-after-killing-inferior.patch

==== gjs ====
Version update (1.58.4 -> 1.58.5)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.58.5:
+ Can not access GObject properties of classes without
GI information.

==== glib2 ====
Version update (2.62.4 -> 2.62.5)
Subpackages: glib2-lang glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0

- Update to version 2.62.5:
+ Fix potential relative read when calling g_printerr(), which
could lead to a denial of service from a setuid-root process
being used to block access to the TTY for another user.
+ Fix SOCKS proxy resolver sometimes not being used when
resolving addresses via Happy Eyeballs (CVE-2020-6750).
+ Several other Happy Eyeballs fixes for address resolution.
+ Fix parsing of full Julian day range from `$TZ` environment
variable.
+ Several race condition/crash fixes.
+ Bugs fixed: glgo#GNOME/GLib#1919, glgo#GNOME/GLib#1995,
glgo#GNOME/GLib#1999, glgo#GNOME/GLib!1323,
glgo#GNOME/GLib!1331, glgo#GNOME/GLib!1352,
glgo#GNOME/GLib!1361, glgo#GNOME/GLib!1365,
glgo#GNOME/GLib!1370, glgo#GNOME/GLib!1371.
+ Updated translations.
- No longer recommend -lang: supplements are in use

==== gmime ====
Version update (3.2.5 -> 3.2.6)

- Update to version 3.2.6:
+ Added methods to get 64-bit timestamps for the creation-date
and expiration-date of GMimeCertificates and GMimeSignatures.
+ Fixed the vala abstract public constructor for GMimeObject.
+ Fixed a bug in GMimeParser's header parser.

==== gnome-desktop ====
Version update (3.34.3 -> 3.34.4)
Subpackages: gnome-desktop-lang gnome-version libgnome-desktop-3-18
libgnome-desktop-3_0-common typelib-1_0-GnomeDesktop-3_0

- Update to version 3.34.4:
+ Don't use seccomp on riskv64.
+ Updated translations.

==== gnome-disk-utility ====
Version update (3.34.0 -> 3.34.4)
Subpackages: gnome-disk-utility-lang

- Update to version 3.34.4:
+ Updated translations.
- Update to version 3.34.0:
+ Flatpak: Remove unnecessary udev module.
+ Convert README to markdown.
+ Updated translations.
- README -> README.md in %doc.
- Update to version 3.33.92:
+ Build documentation for Flatpak.
+ Flatpak manifest fixes.
+ Updated translations.
- Update to version 3.33.91:
+ Updated translations.
+ Changes in version 3.33.90:
+ Labels for toolbar items added for accessibility.
+ Mark missing string for translation.
+ Updated translations.
+ Changes in version 3.33.4:
+ build: Various meson updates (many commits).
+ build: Add flatpak manifest.
+ ci: Add basic CI support.
+ ci: Add support for flatpak building.
+ README/INSTALL update and info for Flatpak usage for development
+ Updated translations.
+ Changes in version 3.33.3:
+ build: Define logind as combo option of 'libsystemd',
'libelogind', 'none'.
+ Don't require filesystem label when formatting.
+ build: remove autodetection of features and require a recent
UDisks.
+ build: add elogind support for seat retrieval.
+ Rephrase English confirmation message.
+ Updated translations.
- Up udisks dependency.
- Require meson >= 0.50.0.
- Update to version 3.32.1:
+ Updated translations.
- Update to version 3.32.0:
+ Updated translations.
- Update to version 3.31.92:
+ Updated translations.
- Update to version 3.31.91:
+ build: stop checking for fallocate.
+ icon: app icon adjustments.
+ Update the UI to match current guidelines.
+ Update POTFILES.in.
+ Added total-lbas-written and total-lbas-read to translatable
strings.
+ unlock dialog: Add tooltip for keyfile chooser button.
+ Updated translations.
- Update to version 3.31.2:
+ Update app icon.
- Update to version 3.30.2:
+ Updated translations.
- Update to version 3.30.1:
+ GduVolumeGrid: Use starred icon instead of user-bookmarks.
+ Remove redundant error showing.
+ Updated translations.
- Update to version 3.30.0:
+ Updated translations.
- Remove lang package from recommended packages as it already
supplements main package (same effect, it's redundant).
- Update to version 3.29.92:
+ Mark missing string for translation.
+ Updated translations.
- Use autosetup macro, pass libsystemd=true and gsd_plugin=true to
meson, ensure we build the features we want (currently in sync
with upstream defaults).
- Update to version 3.29.90:
+ mtvoid: Fix swapped "Number of Samples" tooltips in benchmark
dialog.
+ Updated translations.
- Help translation-update-upstream finding the right gettext domain
name: pass "po %{name}" to the call.
- Update to version 3.29.2:
+ segfault: Add TrueCrypt/VeraCrypt support.
+ Register inhibitor for benchmark thread.
+ Update URLs after migration.
+ Updated translations.
- Update to version 3.28.3:
+ Query NTFS tooling from UDisks (> 2.7.2). Disks queried for
mkntfs in the $PATH directly which does not work for
non-sudoers without /sbin.
- Update to version 3.28.2:
+ Register inhibitor for benchmark thread (no string change).
+ Updated translations.
- Update to version 3.28.1:
+ Updated translations.
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
- Update to version 3.28.0:
+ Format dialog: Fix NULL deref when no partition table is
present.
+ Updated translations.
- Update to version 3.27.92:
+ Updated translations.
- Modernize spec-file by calling spec-cleaner
- Update to version 3.27.91:
+ Fix tooltip for ?Hide from Firmware? GPT partition flag.
+ Drop redundant ?Legacy BIOS Bootable? text in tooltip.
+ Updated translations.
- Update to version 3.27.90:
+ Hide devices if mounted with x-gdu.hide.
+ Restore: don't attempt to open target read-only.
+ Updated translations.
- Replace + in GPL License tag to '-or-later' complying with SPDX
3.0.

==== gnome-music ====
Version update (3.34.3 -> 3.34.4)
Subpackages: gnome-music-lang

- Update to version 3.34.4:
+ Various crash and bugfixes.
+ Updated translations.

==== gnome-shell ====
Version update (3.34.3+0 -> 3.34.4)
Subpackages: gnome-shell-calendar gnome-shell-lang

- Update to version 3.34.4:
+ Switch screen-recorder back to VP8.
+ Updated translations.

==== gom ====
Version update (0.3.3 -> 0.4)

- Update to version 0.4:
+ Fix primary-keys never being monitored, which triggered crashes
with GLib 2.63.
+ Test for invalid table names.
+ Install Python overrides in correct location.
+ Fix storage of NULL GDateTime values.
+ Fix constraints test under older versions of SQLite.

==== gpg2 ====
Subpackages: gpg2-lang

- Fix build with GCC-10: [bsc#1160394]
* Always use EXTERN_UNLESS_MAIN_MODULE pattern
* In GCC-10, the default option -fcommon will change to -fno-common
- Add gpg2-gcc10-build-fno-common.patch

==== grilo ====
Version update (0.3.11 -> 0.3.12)
Subpackages: grilo-lang libgrilo-0_3-0 libgrlnet-0_3-0 libgrlpls-0_3-0
typelib-1_0-Grl-0_3

- Update to version 0.3.12:
+ grl-source: Fix reference count in the bindings.
+ Updated translations.

==== grilo-plugins ====
Version update (0.3.10 -> 0.3.11)
Subpackages: grilo-plugin-tracker grilo-plugin-youtube grilo-plugins-lang

- Update to version 0.3.11:
+ tracker:
- Fix crash if chromaprint plugin isn't installed.
- Correctly escape strings on sparql updates.
- Acoustid: add support for album artist.
+ Updated translations.
- Drop tracker-fix-crash-if-chromaprint-plugin-not-installed.patch:
Fixed upstream.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix grub hangs after loading rogue image without valid signature for uefi
secure boot (bsc#1159102)
* grub2-verifiers-fix-system-freeze-if-verify-failed.patch

==== gtk3 ====
Version update (3.24.13+0 -> 3.24.14)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-tigrigna gtk3-immodule-vietnamese
gtk3-immodule-xim gtk3-lang gtk3-schema gtk3-tools libgtk-3-0
typelib-1_0-Gtk-3_0

- Update to version 3.24.14:
+ Fix the opaque region for windows on X11.
+ Theme:
- Fix flat buttons in backdrop.
- Make popovers look more similar to menus.
- Tweak checkbox & radiobutton appearance.
- Add general typography classes (heading, title-1, etc).
+ Language bindings: Fix annotations for
gtk_tree_model_sort_new_with_model.
+ Switch: Fix touch support.
+ Infobar: Make clickable for default action.
+ Emojichooser: Respect a no-emoji input hint.
+ Fontchooser: Fix an oversight with hiding the size label.
+ Filechooser: Disable recursive search without a system indexer.
+ Modelbutton: Fix a11y support to reflect button state.
+ Input: Fix touchpad gesture center calculation.
+ X11:
- Fix root window scaling.
- Support _GTK_WORKAREAS_Dn property.
+ Wayland:
- Support a terminal purpose in input methods.
- Fix preedit cursor positioning.
- Fix enabling/disabling of text inputs.
- Support simultaneous selection requests.
- Require Wayland 1.14.91.
+ Printing: Fix a crash with Avahi.
+ Updated translations.

==== ibus-m17n ====
Version update (1.3.4 -> 1.4.2)

- Update version to 1.4.2
* Update translations
* Fix for google code issue 1781 in ibus-m17n for kk
(Correct symbols for kk input methods)
* Add m17n.appdata.xml
* Migration from IBusConfig to GSettings
* Add an option to emulate US layout
* Fix preedit background colour and underlining
* Switch off preedit background and foreground correctly if disabled
in the setup tool
* bug fixes

==== kactivitymanagerd ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kactivitymanagerd-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Replace plasma.kde.org with kde.org/plasma-desktop

==== kcm5-fcitx ====
Subpackages: kf5-kcm-fcitx kf5-kcm-fcitx-icons

- Leap 15.2 and SLE15 SP2 has newer librsvg, extend the conditional
for "BuildRequires: rsvg-convert"

==== kcm_sddm ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kcm_sddm-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Fix being unable to set the right permissions for kde_settings.conf
(kde#414396)
* Don't let the Advanced tab's spacers expand all they want (kde#417657)
* Sync ("Wayland") appending to match SDDM (kde#417499)
* Have authhelper define config file paths on its own
- Refresh 0003-Don-t-add-a-Wayland-suffix-to-Wayland-sessions.patch

==== kde-cli-tools5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kde-cli-tools5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Fix compilation with KF 5.67

==== kde-gtk-config5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== kde-user-manager ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kde-user-manager-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Have user-manager write to SDDM's new config file (kde#342722)

==== kgamma5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kgamma5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== khotkeys5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: khotkeys5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== kinfocenter5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kinfocenter5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* make sure ifa_addr isn't null (kde#417798)
* appdata: fix <lanchable>
* import currently used license copies for reuse compliance
* replace samba module with data that works (kde#411433,kde#374141,kde#325951)

==== kmenuedit5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kmenuedit5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== kscreen5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kscreen5-lang kscreen5-plasmoid

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* fix(kcm): use explicit Kirigami.Units over singleton from a theme
(kde#417316)

==== kscreenlocker ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== ksshaskpass5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: ksshaskpass5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== ksysguard5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: ksysguard5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== kwayland-integration ====
Version update (5.18.0 -> 5.18.1)

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== kwin5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: kwin5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Fix misplaced client windows (kde#417584)
* [autotests] Make XWaylandInputTest more robust
* Provide input geometry and input transformation matrix for Xwayland clients
(kde#417444)
* Return early if close button accepts input event (kde#415155)
* [libkwineffects] Detect more AMD GPUs with GFX9 (Vega) chips
* Require kdecoration >= 5.18.0

==== kwrited5 ====
Version update (5.18.0 -> 5.18.1)

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== libcap ====
Version update (2.25 -> 2.32)

- Update to version 2.32:
* Bug fix for fakeroot incompatibility (boo#1162014)
* Slight perf improvement for cap_get_bound().
* C++ support for psx header inclusion.
* Some new testing features for capsh
- Update to version 2.31:
* primarily a documentation update
* fix libpam.pc to not require libpsx.pc
* changed the text format of the default output of getpcap
- Build using -ffat-lto-objects for static library
- Update to version 2.30:
* BUGFIX: arm and i386 fixes C and Go setgroups choice - used
wrong syscall in 2.29.
* cleaned up make clean and make install to actually work as
intended
* updated Gentoo libpsx.pc file from Lars Wendler
* refactored the way libpsx linkage with libcap performed mutual
discovery.
* Previously (2.28) libpsx had an API call overridden by libcap
using weak linkage function in libpsx. In 2.30 this is reversed,
namely libpsx provides the stronger function and libcap has a
weak "no-op" version.
* a bit more consistency in handling the 'all' sets in libcap
(C) and libcap/cap (Go). Namely, they both dynamically discover
the number of capabilities named by the kernel and use this as
the definition of 'all' for the current runtime.
+ libcap (C) exports cap_max_bit() to export the number of
supported capabilities
+ libcap/cap (Go) exports cap.MaxBits() for this same value.
- For changes for older releases see:
* https://sites.google.com/site/fullycapable/release-notes-for-libcap
- Add glibc-static-devel as build requirement as tests need it
- Install libpsx.a as it seems to be needed in some cases:
* https://bugs.gentoo.org/703912

==== libgsasl ====
Version update (1.8.0 -> 1.8.1)
Subpackages: libgsasl-lang libgsasl7

- Update to version 1.8.1:
* gsasl: IMAP client code now permits empty SASL tokens prefixed
with '+'. Normally servers should send '+ '. Buggy servers
include Microsoft Exchange.
* GSSAPI client:
- Now retrieves GSASL_AUTHZID for authorization identity.
- Can now transmit an empty/missing authorization identity.
- See lib/NEWS for more information.
* Build fixes: Update of gnulib, including how it is
bootstrapped.
* Updated translations.
- Run spec-cleaner, modernize spec.
- No longer recommend -lang: supplements are in use.

==== libiscsi ====
Version update (1.19.0 -> 1.19.0+git.20200212)

- Update to version 1.19.0+git.20200212 (resolves boo#1160276):
* drop the LD_PRELOAD tool
* remove FIXME
* Fix data segment length comparison to unsigned long
* iser: queue pdus when cmdsn exceeds maxcmdsn
* iser: send immediate data
* iser: remove `__packed` from struct iser_cm_hdr declaration
* iser: fix struct iser_rx_desc
* test-tool: avoid use-after-free on iscsi_logout_sync
* Use dynamic memory allocation instead of variable-length arrays

==== libkdecoration2 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: libkdecorations2-5 libkdecorations2-5-lang libkdecorations2private7

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== libkscreen2 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== libksysguard5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== libreoffice ====
Version update (6.4.0.3 -> 6.4.1.1)
Subpackages: libreoffice-base libreoffice-base-drivers-firebird
libreoffice-calc libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-es
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja
libreoffice-l10n-pl libreoffice-l10n-pt_BR libreoffice-l10n-ru
libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW libreoffice-mailmerge
libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
libreofficekit

- fix_old_boost_spirit_namespace.patch: fixes build with older
boost versions by moving to modern Boost.Spirit namespace usage
- Update to 6.4.1.1:
* 6.4.1 RC1 release
* Add sfir and breeze dark svg iconsets
- Remove merged patch:
* lo-Fix-build-with-poppler-0.83.patch

==== libssh ====
Subpackages: libssh-config libssh4

- Drop the hack to pull curl-mini: we moved the split a bit higher
up and now have a non-curl linked variant of cmake in
openSUSE:Factory.

==== milou5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: milou5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== mutter ====
Version update (3.34.3+0 -> 3.34.4)
Subpackages: libmutter-5-0 mutter-data mutter-lang

- Update to version 3.34.4:
+ Handle mode set race conditions more gracefully.
+ Fix fallback to GLES2.
+ Fix interoperation with wl_data_device_manager v1.
+ Fix visual glitches with offscreen effects applied.
+ Favor text over images in clipboard manager.
+ Fixes crashes.
+ Plugged memory leaks.
+ Misc. bug fixes.
+ Updated translations.

==== ncurses ====
Version update (6.1 -> 6.2)
Subpackages: libncurses6 ncurses-devel ncurses-utils tack terminfo
terminfo-base terminfo-screen

- Add ncurses patch 20200215
+ improve manual page for panel library, extending the portability
section as well as documenting error-returns.
+ show tic's version when installing terminal database in run_tic.sh
+ correct check for gcc vs other compilers used in ncurses 6.0, from
FreeBSD patch by Kyle Evans (cf: 20150725).
+ add notes for 6.2 to INSTALL.
- Update to ncurses 6.2 (patch 20200212)
* Add 20200212 6.2 release for upload to ftp.gnu.org
+ update release notes
+ minor build-fixes, mostly to test-package scripts
* Add ncurses patch20200208
+ modify check for sizeof(wchar_t) to ensure it gives useful result
when cross-compiling.
+ drop assumption in configure script that Cygwin's linker is broken.
+ define NCURSES_BROKEN_LINKER if the broken-linker feature is used,
to simplify configure-checks for ncurses-examples.
* Add ncurses patch20200202
+ reassert copyright on ncurses, per discussion in ncurses FAQ:
https://invisible-island.net/ncurses/ncurses.faq.html#relicensed
* Add ncurses patch20200201
+ modify comparison in make_hash.c to correct a special case in
collision handling for Caps-hpux11
+ add testing utility report_hashing to check hash-tables used for
terminfo and termcap names.
+ fix a missing prototype for _nc_free_and_exit().
+ update a few comments about tack 1.07
+ use an awk script to split too-long pathnames used in Ada95 sample
programs for explain.txt
- Update to tack 1.9 (patch 20200202)
* Update copyright and license. Also, portability fixes.
- Adopt patch ncurses-5.7-tack.dif
- Adopt patch ncurses-6.1.dif which is now ncurses-6.2.dif
- Add ncurses patch 20200118
+ expanded description of XM in user_caps.5
+ improve xm example for xterm+x11mouse, xterm+sm+1006 -TD
+ add history section to curs_slk.3x and curs_terminfo.3x manpages.
+ update alacritty entries for 0.4.0 (prompted by patch by
Christian Durr) -TD
+ correct spelling errors found with codespell.
+ fix for test/configure, from xterm #352.
- Add ncurses patch 20200111
+ improve configure macros which check for the X11/Intrinsic.h header,
to accommodate recent MacOS changes.
+ suppress gcc's -Winline warning; it has not been useful for some time
+ update config.guess, config.sub

==== oxygen5 ====
Version update (5.18.0 -> 5.18.1)

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== perl-IO-Socket-SSL ====
Version update (2.066 -> 2.067)

- Add removal of the README.Win32 file in cpanspec.yml
- updated to 2.067
see /usr/share/doc/packages/perl-IO-Socket-SSL/Changes

==== perl-Net-DNS-Resolver-Mock ====
Version update (1.20171219 -> 1.20200215)

- updated to 1.20200215
see /usr/share/doc/packages/perl-Net-DNS-Resolver-Mock/Changes

==== perl-Text-CSV_XS ====
Version update (1.40 -> 1.41)

- updated to 1.41
see /usr/share/doc/packages/perl-Text-CSV_XS/ChangeLog
1.41 - 2020-02-16, H.Merijn Brand
* Update to Devel::PPPort-3.56
* csv2xls uses sheetname as csv2xlsx
* csv2xlsx: support images (each image gets its own tab)
* More docs. (Data validation)
* It's 2020
* No binary literals in fixed error messages
* Fix auto_diag > 2 to die when headers are used (issue 19)

==== permissions ====
Version update (1550_20200204 -> 1550_20200213)
Subpackages: chkstat permissions-config permissions-doc

- Update to version 20200213:
* remove obsolete/broken entries for rcp/rsh/rlogin
* chkstat: handle symlinks in final path elements correctly
* Revert "Revert "mariadb: settings for new auth_pam_tool (bsc#1160285)""
* Revert "mariadb: settings for new auth_pam_tool (bsc#1160285)"

==== php7 ====
Version update (7.4.2 -> 7.4.3)
Subpackages: apache2-mod_php7 php7-ctype php7-dom php7-gd php7-gettext
php7-iconv php7-json php7-mbstring php7-mysql php7-pdo php7-sqlite
php7-tokenizer php7-xmlreader php7-xmlwriter

- updated to 7.4.3: This is a security release which also contains
several bug fixes. See https://www.php.net/ChangeLog-7.php#7.4.3
- add %apache_rex_deps

==== plasma-browser-integration ====
Version update (5.18.0 -> 5.18.1)
Subpackages: plasma-browser-integration-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== plasma-nm5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Fix crash when asking for a modem unlock (kde#417545)

==== plasma5-addons ====
Version update (5.18.0 -> 5.18.1)
Subpackages: plasma5-addons-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Fixup the previous commit
* Replace plasma.kde.org with kde.org/plasma-desktop

==== plasma5-desktop ====
Version update (5.18.0 -> 5.18.1)
Subpackages: plasma5-desktop-emojier

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* [desktoppackage] Fix layout when an applet has no custom config modules
(kde#410770)
* Set toolbox to invisble when it's hidden (kde#416695)
* [kcm/standardactions] Don't register kcminit hook when we don't have one
* [KCM Fonts] force need save to false during load to avoid state to be true
too early (kde#416358)
* Baloo KCM: Do not anchor fill ScrollView (kde#417437)
* [Styles KCM] Set style display name as window title (kde#417563)
* unlock widgets (kde#417424)
* Remove a typo in the previous commit
* Replace plasma.kde.org with kde.org/plasma-desktop
* [kcms/cursortheme] Don't skip everything because of lack of XFixes
* [Sessions KCM] Fix firmware setup
* [KSplash KCM] Fix ghns button label (kde#417224)
- Drop patches, now upstream:
* 0001-KCM-Fonts-force-need-save-to-false-during-load-to-av.patch
* 0001-unlock-widgets.patch
* Set-toolbox-to-invisible-when-its-hidden.patch

==== plasma5-integration ====
Version update (5.18.0 -> 5.18.1)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.18.1

==== plasma5-pa ====
Version update (5.18.0 -> 5.18.1)
Subpackages: plasma5-pa-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== plasma5-workspace ====
Version update (5.18.0 -> 5.18.1)
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* [kcms/feedback] Improve default kcmshell window size (kde#417747)
* Extract messages from header files as well (Thanks to Victor Ryzhykh)
* Remove downloadNewWhat usage
* Don't delay ksplash until the entire slideshow is loaded
* [Notifications] Only let details label grow, never shrink (kde#417489)
* [libtaskmanager] Fix shared VirtualDesktopInfo::Private tied to the 1st
creator (kde#415200)
* [Background Finder] Create a valid invocation token
* Replace plasma.kde.org with kde.org/plasma-desktop

==== polari ====
Subpackages: polari-lang typelib-1_0-Polari-1_0

- Add polari-fix-nb-translation.patch: Fix Norwegian bokmål
translation error (glgo#GNOME/polari!145).

==== polkit-kde-agent-5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- No code changes since 5.18.0

==== popt ====
Subpackages: libpopt0 libpopt0-32bit popt-devel

- fix URLs, rpm5.org is no more

==== powerdevil5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: powerdevil5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* Prevent powerdevil from calling DPMS extension calls when DPMS extension
isn't present
* fix FreeBSD compilation, Q_FOREACH -> for-range loop

==== pulseaudio ====
Subpackages: libpulse-mainloop-glib0 libpulse0 pulseaudio-bash-completion
pulseaudio-gdm-hooks pulseaudio-lang pulseaudio-module-bluetooth
pulseaudio-module-gsettings pulseaudio-module-x11 pulseaudio-module-zeroconf
pulseaudio-utils pulseaudio-zsh-completion

- Backport upstream fixes / enhancements about alsa modules:
mainly for UCM support (boo#1160914):
0001-alsa-mixer-path-test-Hide-unused-functions-when-buil.patch
0002-alsa-mixer-recognize-the-Speaker-Jack-control.patch
0003-alsa-mixer-add-support-for-SteelSeries-Arctis-Pro-20.patch
0004-alsa-mixer-Add-support-for-SteelSeries-Arctis-5-2019.patch
0005-alsa-mixer-add-support-for-LucidSound-LS31-and-creat.patch
0006-alsa-ucm-use-ucm2-name-for-the-direct-card-index-ope.patch
0007-alsa-ucm-add-mixer-IDs-to-ucm_items.patch
0008-alsa-mixer-handle-the-index-for-ALSA-mixer-element-i.patch
0009-alsa-mixer-improve-alsa_id_decode-function.patch
0010-alsa-ucm-Support-Playback-CaptureVolume.patch
0011-alsa-ucm-Fix-volume-control-based-on-review.patch
0012-alsa-ucm-use-the-correct-mixer-identifiers-as-first.patch
0013-alsa-ucm-add-support-for-master-volume.patch
0014-alsa-ucm-split-correctly-JackHWMute-device-names.patch
0015-alsa-ucm-fix-parsing-for-JackControl.patch
0016-alsa-ucm-add-comments-to-ucm_get_mixer_id.patch
0017-alsa-ucm-validate-access-to-PA_DEVICE_PORT_DATA.patch
0018-alsa-Skip-resume-PCM-if-hardware-doesn-t-support-it.patch
0019-alsa-ucm-parse-correctly-the-device-values.patch
0020-alsa-ucm-do-not-try-to-use-UCM-device-name-as-jack-n.patch
0021-alsa-util-do-not-try-to-guess-the-mixer-name-from-th.patch
0022-alsa-ucm-add-control-and-mixer-device-items.patch
0023-alsa-ucm-get-the-mixer-names-from-ucm-don-t-guess.patch
0024-alsa-ucm-use-the-proper-mixer-name-for-ucm-pcm-sink-.patch
0025-alsa-mixer-handle-interface-type-CARD-PCM-for-mixer-.patch
0026-alsa-mixer-Add-the-ability-to-pass-the-intended-role.patch
0027-alsa-mixer-Set-the-intended-role-of-Steelseries-Arct.patch
0028-alsa-rewrite-mixer-open-close-cache-mixer-accesses-i.patch
0029-alsa-ucm-add-support-for-HDMI-ELD.patch
0030-alsa-mixer-do-the-quick-card-number-lookup-to-save-m.patch
0031-alsa-mixer-improve-check-for-the-empty-path-set-for-.patch
0032-alsa-ucm-allow-to-set-profile-priority-from-UCM-valu.patch

==== python-Automat ====
Version update (0.8.0 -> 20.2.0)

- update to 20.2.0
* Fix attrs warnings

==== python-Mako ====
Version update (1.1.0 -> 1.1.1)

- update to 1.1.1
* Replaced usage of the long-superseded ?parser.suite? module in the mako.util
package for parsing the python magic encoding comment with the ?ast.parse?
function
* Added ?babel? and ?lingua? dependency entries to the setuptools entrypoints
for the babel and lingua extensions

==== python-pyOpenSSL ====
Version update (19.0.0 -> 19.1.0)

- Update to v19.1
* Removed deprecated aliases ContextType, ConnectionType, PKeyType,
X509NameType,
X509ReqType, X509Type, X509StoreType, CRLType, PKCS7Type, PKCS12Type, and
NetscapeSPKIType.
Use the classes without the ``Type`` suffix instead.
* The minimum ``cryptography`` version is now 2.8
* Deprecated ``OpenSSL.SSL.Context.set_npn_advertise_callback,
OpenSSL.SSL.Context.set_npn_select_callback, and
OpenSSL.SSL.Connection.get_next_proto_negotiated
ALPN should be used instead.
* Support bytearray in SSL.Connection.send() by using cffi's from_buffer
* The OpenSSL.SSL.Context.set_alpn_select_callback can return a new
NO_OVERLAPPING_PROTOCOLS sentinel value to allow a TLS handshake
to complete without an application protocol.

==== python3-qt5 ====

- Fix dbus mainloop integration, install a noarch wrapper in
the dbus/mainloop module path, and move the implementation
alongside the other binary modules. bnc#1163755, bnc#1163763.
* 0001-Use-a-noarch-wrapper-for-dbus-mainloop-integration.patch

==== rdma-core ====
Subpackages: libefa1 libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Eliminate the curl-mini trickery for Tumbleweed: curl-mini is
being eliminated in favor of cmake-mini: the original plan to
split the cycle at curl did not work out in the long run.

==== re2 ====

- Small spec file update

==== readline ====
Subpackages: libreadline8 readline-doc

- Add official patch readline80-002
When using previous-history to go back beyond the beginning of the history
list,
it's possible to move to an incorrect partial line.
- Add official patch readline80-003
Reading history entries with timestamps can result in history entries joined
by linefeeds.
- Add official patch readline80-004
If writing the history file fails, and renaming the backup history file fails,
it's possible for readline's history code to return the wrong error to its
caller.

==== remmina ====
Version update (1.3.10 -> 1.4.0)
Subpackages: remmina-lang remmina-plugin-rdp remmina-plugin-secret
remmina-plugin-vnc remmina-plugin-xdmcp

- Update to new upstream release 1.4.0
* This is a long term release
* RDP clipboard fixes
* SSH authentication fixes
* Fixed compiler warnings
* SSH tunnel refactoring
* Parameters passed individually, notation, "Press any key to continue?"
* Updated boolean expressions
* Add end of options escaping
* Remove double-quotes escaping early
* Ending code block whitespace line removed
* Safer removal of build directory
* Spelling: Could not access the RDP server x7
* Removing double struct declaration

==== rubygem-nokogiri ====
Version update (1.10.7 -> 1.10.8)

- update to 1.10.8
[MRI] Pulled in upstream patch from libxml that addresses
CVE-2020-7595. Full details are available in #1992. Note that
this patch is not yet (as of 2020-02-10) in an upstream release
of libxml.

==== schily ====
Subpackages: cdda2wav cdrecord libcdrdeflt1_0 libdeflt1_0 libedc_ecc1_0
libedc_ecc_dec1_0 libfile1_0 libfind4_0 libparanoia1_0 librmt1_0 librscg1_0
libscg1_0 libscgcmd1_0 libschily2_0 mkisofs readcd spax star

- Update to release 2020.02.11
* Bourne Shell: A new variable ${.sh.path} returns the absolute
path of the binary associated to the exec() for this shell.
* Bourne Shell: `for i in; do cmd ...; done` is now valid
syntax even though this is useless.
* SCCS: comb.c now puts the filename in the created shell
script in single quotes.
* SCCS: comb.c now forbids single quotes and backslashes in
filenames as they would cause problems with the shell script
created by comb.

==== systemsettings5 ====
Version update (5.18.0 -> 5.18.1)
Subpackages: systemsettings5-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* [sidebar] Resolve changes in module before switching (kde#416834)

==== tcsh ====
Subpackages: tcsh-lang

- Add temporary patch tcsh-6.22.02-local-dotlock.dif to avoid
dead locks at login after a reboot to left dot locking files

==== texlive ====
Subpackages: libkpathsea6 libsynctex2

- Switch also to user mktex in fmtutil script (boo#1159740)

==== tracker ====
Version update (2.3.1 -> 2.3.2)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.3.2:
+ Location info for photos is now inserted into the DB. It didn't
work before as we failed to process SPARQL "blank nodes"
correctly.
+ Fix for oversensitive FTS5 index corruption detection.
+ Updated translations.

==== tracker-miners ====
Version update (2.3.1 -> 2.3.2)
Subpackages: tracker-miner-files tracker-miners-lang

- Update to version 2.3.2:
+ Blocked parsing of image/x-dds image files, which were
previously being passed to GStreamer and triggering system
lockups for some people.
+ Fixed incorrect MIME type for .raw images, which were
previously being passed to GStreamer and triggering system
lockups for some people.
+ Improved how the MP3 extractor calculates durations of variable
bitrate MP3s, which fixes incorrect durations being shown in
GNOME Music.
+ Fixed a bug in the GStreamer writeback module.
+ Fix race condition that might leave tracker-miner-fs paused
after a writeback operation.
+ Updated translations.

==== webkit2gtk3 ====
Version update (2.26.3 -> 2.26.4)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Add webkit2gtk3-ppc-build-fix.patch: fix ppc64le build failure on
SLE 15.
- Update to version 2.26.4 (boo#1163809):
+ Always use a light theme for rendering form controls.
+ Fix the build with WPE renderer disabled.
+ Fix the build with OpenGL disabled.
+ Fix the build with GCC 10.
+ Fix several crashes and rendering issues.
+ Security fixes: CVE-2020-3862, CVE-2020-3864, CVE-2020-3865,
CVE-2020-3867, CVE-2020-3868.

==== xdg-desktop-portal-kde ====
Version update (5.18.0 -> 5.18.1)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.18.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
* PipeWire: set stream and offset information for the buffer
* Properly combine pipewire and spa includes
* Properly search for PipeWire libs


< Previous Next >
This Thread
  • No further messages